-- file used!!
-- insert ignore into object
insert into object
(obj_ldsid_fk, Obj_AttributeIDValue)
select distinct attr_obj_ldsid_fk, attr_obj_AttributeIDValue
from attribute_temp atmp LEFT OUTER JOIN object o
ON obj_ldsid_fk=atmp.attr_obj_ldsid_fk AND Obj_AttributeIDValue=atmp.attr_obj_AttributeIDValue
where  o.Obj_AttributeIDValue IS NULL;

update attribute_temp
set attr_objectID_FK = (
  select obj_id
  from object
  where obj_LDSid_fk = attr_obj_LDSid_fk
  and   obj_AttributeIDValue = attr_obj_AttributeIDValue
  limit 1);


-- MERGE INTO t USING (SELECT * FROM tt WHERE acol = 2) AS vals(x,y) ON t.id = vals.x
--   WHEN MATCHED THEN UPDATE SET t.description = vals.y
--   WHEN NOT MATCHED THEN INSERT VALUES vals.x, vals.y

MERGE INTO attribute a USING
 (SELECT atmp.attr_objectID_FK, atmp.attr_name, atmp.attr_value
  FROM attribute_temp atmp
  ) AS vals(attr_objectID_FK, attr_name, attr_value)
  ON a.attr_objectID_FK = vals.attr_objectID_FK AND a.attr_name = vals.attr_name
   WHEN MATCHED THEN UPDATE SET a.attr_value = vals.attr_value
   WHEN NOT MATCHED THEN INSERT (attr_objectID_FK, attr_name, attr_value)
      VALUES vals.attr_objectID_FK, vals.attr_name, vals.attr_value


-- update attribute a, attribute_temp at
-- set a.attr_value = at.attr_value
-- where at.attr_objectID_FK = a.attr_objectID_FK
-- and at.attr_name = a.attr_name

-- update the att.attr_value if att_temp.attr_value exists
-- update attribute a
-- set a.attr_value = (
--      select atmp.attr_value
--       from attribute_temp atmp
--       where atmp.attr_objectID_FK = a.attr_objectID_FK
--       and atmp.attr_name = a.attr_name)
--  where exists (
--      select atmp.attr_value
--       from attribute_temp atmp
--       where atmp.attr_objectID_FK = a.attr_objectID_FK
--       and atmp.attr_name = a.attr_name)

-- update attribute a
-- set a.attr_value = IFNULL((select atmp.attr_value
--      from attribute_temp atmp
--      where atmp.attr_objectID_FK = a.attr_objectID_FK
--      and atmp.attr_name = a.attr_name),a.attr_value)

-- insert into attribute (attr_objectID_FK, attr_name, attr_value)
-- select distinct attr_objectID_FK, attr_name, attr_value
-- from attribute_temp atmp LEFT OUTER JOIN attribute a2
-- ON atmp.attr_objectID_FK = a2.attr_objectID_FK AND atmp.attr_name = a2.attr_name
-- where a2.attr_value IS NULL
